use clap::CommandFactory;
use clap_mangen::generate_to;

#[path = "src/cli.rs"]
mod cli;

use cli::*;

fn main() -> std::io::Result<()> {
    let out_dir =
        std::path::PathBuf::from(std::env::var_os("OUT_DIR").ok_or(std::io::ErrorKind::NotFound)?);

    let cmd = Cli::command();

    generate_to(cmd, &out_dir)?;
    println!("cargo:warning=OUT_DIR: {out_dir:?}");

    Ok(())
}
